;;; --generated file, do not edit--

(in-package :avm2-compiler)
(defpackage #:%flash
  (:export
    #:+flash-proxy+
    #:seconds
    #:timezone-offset
    #:get-utc-full-year
    #:set-utc-full-year
    #:to-locale-date-string
    #:set-full-year
    #:get-full-year
    #:day-utc
    #:get-day
    #:milliseconds-utc
    #:get-timezone-offset
    #:get-hours
    #:full-year
    #:minutes
    #:set-utc-hours
    #:to-locale-time-string
    #:set-time
    #:get-utc-day
    #:set-hours
    #:get-month
    #:get-seconds
    #:set-month
    #:set-seconds
    #:get-time
    #:get-utc-hours
    #:set-utc-month
    #:set-utc-seconds
    #:get-utc-date
    #:to-date-string
    #:set-utc-date
    #:get-utc-month
    #:get-utc-seconds
    #:set-date
    #:set-utc-minutes
    #:get-minutes
    #:to-locale-string
    #:seconds-utc
    #:get-date
    #:time
    #:get-utc-milliseconds
    #:set-minutes
    #:day
    #:set-utc-milliseconds
    #:to-utc-string
    #:to-time-string
    #:full-year-utc
    #:date-utc
    #:hours-utc
    #:set-milliseconds
    #:milliseconds
    #:get-utc-minutes
    #:hours
    #:minutes-utc
    #:get-milliseconds
    #:month-utc
    #:month
    #:parse
    #:utc
    #:date
    #:trace
    #:is-xml-name
    #:q-name
    #:xml-list
    #:children
    #:remove-namespace
    #:text
    #:namespace-declarations
    #:add-namespace
    #:insert-child-after
    #:elements
    #:node-kind
    #:copy
    #:comments
    #:notification
    #:set-name
    #:prepend-child
    #:has-simple-content
    #:attribute
    #:parent
    #:descendants
    #:has-complex-content
    #:append-child
    #:contains
    #:child-index
    #:child
    #:set-namespace
    #:processing-instructions
    #:attributes
    #:local-name
    #:set-local-name
    #:in-scope-namespaces
    #:normalize
    #:set-children
    #:to-xml-string
    #:set-notification
    #:insert-child-before
    #:default-settings
    #:ignore-whitespace
    #:pretty-printing
    #:ignore-processing-instructions
    #:ignore-comments
    #:set-settings
    #:pretty-indent
    #:settings
    #:xml
    #:dotall
    #:multiline
    #:source
    #:test
    #:extended
    #:last-index
    #:global
    #:ignore-case
    #:exec
    #:reg-exp
    #:+pi+
    #:+log2e+
    #:+ln2+
    #:sqrt
    #:max
    #:min
    #:+log10e+
    #:tan
    #:atan
    #:+ln10+
    #:pow
    #:exp
    #:log
    #:floor
    #:atan2
    #:sin
    #:asin
    #:+sqrt2+
    #:round
    #:ceil
    #:+sqrt-1/2+
    #:cos
    #:acos
    #:+e+
    #:random
    #:abs
    #:math
    #:argument-error
    #:uninitialized-error
    #:verify-error
    #:uri-error
    #:type-error
    #:syntax-error
    #:security-error
    #:reference-error
    #:range-error
    #:eval-error
    #:definition-error
    #:name
    #:message
    #:error-id
    #:get-stack-trace
    #:get-error-message
    #:throw-error
    #:error
    #:decode-uri-component
    #:is-finite
    #:is-nan
    #:parse-float
    #:unescape
    #:+undefined+
    #:+infinity+
    #:+as3+
    #:parse-int
    #:encode-uri-component
    #:decode-uri
    #:encode-uri
    #:escape
    #:sort
    #:sort-on
    #:splice
    #:every
    #:push
    #:for-each
    #:filter
    #:some
    #:pop
    #:join
    #:unshift
    #:shift
    #:map
    #:reverse
    #:+descending+
    #:+return-indexed-array+
    #:+unique-sort+
    #:+numeric+
    #:+case-insensitive+
    #:array
    #:to-locale-upper-case
    #:to-upper-case
    #:char-code-at
    #:replace
    #:substr
    #:locale-compare
    #:char-at
    #:search
    #:to-locale-lower-case
    #:concat
    #:split
    #:to-lower-case
    #:last-index-of
    #:slice
    #:substring
    #:index-of
    #:match
    #:from-char-code
    #:string
    #:uint
    #:int
    #:to-exponential
    #:to-fixed
    #:to-precision
    #:+nan+
    #:+max-value+
    #:+negative-infinity+
    #:+positive-infinity+
    #:+min-value+
    #:number
    #:boolean
    #:uri
    #:to-string
    #:prefix
    #:value-of
    #:namespace
    #:apply
    #:length
    #:call
    #:function
    #:prototype
    #:class
    #:is-prototype-of
    #:property-is-enumerable
    #:has-own-property
    #:+length+
    #:set-property-is-enumerable
    #:dont-enum-prototype
    #:object
    #:*
    #:void))

(defpackage #:%__AS3__.vec
  (:export
    #:vector$double
    #:vector$uint
    #:vector$int
    #:filter
    #:splice
    #:some
    #:for-each
    #:to-locale-string
    #:to-string
    #:last-index-of
    #:join
    #:shift
    #:sort
    #:map
    #:every
    #:push
    #:fixed
    #:concat
    #:slice
    #:pop
    #:index-of
    #:length
    #:unshift
    #:reverse
    #:vector$object
    #:vector))

(defpackage #:%builtin.as$0
  (:export
    #:length
    #:prototype
    #:method-closure))

(defpackage #:%flash.system
  (:export
    #:+local-with-network+
    #:disable-avm1loading
    #:load-policy-file
    #:allow-insecure-domain
    #:allow-domain
    #:+local-with-file+
    #:+remote+
    #:+local-trusted+
    #:exact-settings
    #:sandbox-type
    #:show-settings
    #:security
    #:deblocking-filter
    #:jpeg-loader-context
    #:check-policy-file
    #:loader-context
    #:+display+
    #:+settings-manager+
    #:+microphone+
    #:+privacy+
    #:+local-storage+
    #:+camera+
    #:+default+
    #:security-panel
    #:do-conversion
    #:construct-ok
    #:conversion-mode
    #:enabled
    #:set-composition-string
    #:security-domain
    #:is-embedded-in-acrobat
    #:player-type
    #:local-file-read-disable
    #:server-string
    #:has-streaming-video
    #:is-debugger
    #:screen-resolution-x
    #:pixel-aspect-ratio
    #:av-hardware-disable
    #:screen-resolution-y
    #:version
    #:os
    #:internal
    #:has-screen-playback
    #:has-audio-encoder
    #:language
    #:screen-color
    #:has-audio
    #:has-video-encoder
    #:manufacturer
    #:has-embedded-video
    #:has-mp3
    #:has-accessibility
    #:screen-dpi
    #:has-printing
    #:has-streaming-audio
    #:max-level-id-c
    #:has-ime
    #:has-screen-broadcast
    #:has-tls
    #:capabilities
    #:fscommand
    #:+alphanumeric-full+
    #:+japanese-katakana-half+
    #:+japanese-katakana-full+
    #:+chinese+
    #:+japanese-hiragana+
    #:+unknown+
    #:+korean+
    #:+alphanumeric-half+
    #:ime-conversion-mode
    #:parent-domain
    #:has-definition
    #:get-definition
    #:domain-memory
    #:min-domain-memory-length
    #:current-domain
    #:application-domain
    #:exit
    #:gc
    #:pause
    #:set-clipboard
    #:resume
    #:vm-version
    #:total-memory
    #:use-code-page
    #:ime
    #:system))

(defpackage #:%flash.sampler
  (:export
    #:clear-samples
    #:get-size
    #:start-sampling
    #:get-sample-count
    #:get-samples
    #:is-getter-setter
    #:get-setter-invocation-count
    #:get-invocation-count
    #:get-getter-invocation-count
    #:get-member-names
    #:stop-sampling
    #:pause-sampling
    #:+size+
    #:delete-object-sample
    #:object
    #:+id+
    #:+type+
    #:new-object-sample
    #:+time+
    #:+stack+
    #:sample
    #:+file+
    #:+name+
    #:+line+
    #:to-string
    #:stack-frame))

(defpackage #:%flash.events
  (:export
    #:status
    #:+http-status+
    #:http-status-event
    #:+capturing-phase+
    #:+at-target+
    #:+bubbling-phase+
    #:char-code
    #:key-location
    #:+key-up+
    #:+key-down+
    #:keyboard-event
    #:delta
    #:alt-key
    #:ctrl-key
    #:stage-x
    #:stage-y
    #:local-y
    #:local-x
    #:button-down
    #:+roll-over+
    #:+mouse-down+
    #:+double-click+
    #:+mouse-up+
    #:+mouse-out+
    #:+click+
    #:+mouse-over+
    #:+roll-out+
    #:+mouse-move+
    #:+mouse-wheel+
    #:mouse-event
    #:update-after-event
    #:+timer+
    #:+timer-complete+
    #:timer-event
    #:bitmap-data
    #:vector
    #:byte-array
    #:shader-event
    #:full-screen
    #:+full-screen+
    #:full-screen-event
    #:info
    #:+net-status+
    #:net-status-event
    #:+upload-complete-data+
    #:+data+
    #:data-event
    #:activating
    #:+activity+
    #:activity-event
    #:mouse-target
    #:is-mouse-target-inaccessible
    #:context-menu-owner
    #:+menu-select+
    #:+menu-item-select+
    #:context-menu-event
    #:bytes-total
    #:bytes-loaded
    #:+socket-data+
    #:+progress+
    #:progress-event
    #:+security-error+
    #:security-error-event
    #:level
    #:code
    #:+status+
    #:status-event
    #:change-list
    #:+sync+
    #:sync-event
    #:position
    #:+sample-data+
    #:sample-data-event
    #:key-code
    #:related-object
    #:is-related-object-inaccessible
    #:shift-key
    #:+focus-in+
    #:+key-focus-change+
    #:+focus-out+
    #:+mouse-focus-change+
    #:focus-event
    #:+io-error+
    #:+verify-error+
    #:+network-error+
    #:+disk-error+
    #:io-error-event
    #:header
    #:data
    #:net-filter-event
    #:+ime-composition+
    #:ime-event
    #:event-dispatcher
    #:weak-function-closure
    #:weak-method-closure
    #:add-event-listener
    #:remove-event-listener
    #:will-trigger
    #:has-event-listener
    #:dispatch-event
    #:i-event-dispatcher
    #:error
    #:+async-error+
    #:async-error-event
    #:+error+
    #:error-event
    #:text
    #:+link+
    #:+text-input+
    #:text-event
    #:stop-immediate-propagation
    #:type
    #:current-target
    #:cancelable
    #:target
    #:to-string
    #:stop-propagation
    #:prevent-default
    #:bubbles
    #:clone
    #:format-to-string
    #:event-phase
    #:is-default-prevented
    #:+select+
    #:+activate+
    #:+id3+
    #:+copy+
    #:+deactivate+
    #:+paste+
    #:+tab-index-change+
    #:+exit-frame+
    #:+removed-from-stage+
    #:+added+
    #:+mouse-leave+
    #:+close+
    #:+open+
    #:+scroll+
    #:+connect+
    #:+removed+
    #:+select-all+
    #:+fullscreen+
    #:+complete+
    #:+resize+
    #:+change+
    #:+clear+
    #:+cut+
    #:+tab-children-change+
    #:+frame-constructed+
    #:+added-to-stage+
    #:+tab-enabled-change+
    #:+render+
    #:+init+
    #:+unload+
    #:+sound-complete+
    #:+enter-frame+
    #:+cancel+
    #:event))

(defpackage #:%flash.utils
  (:export
    #:write-external
    #:read-external
    #:i-externalizable
    #:object-output
    #:has-property
    #:set-property
    #:next-value
    #:get-property
    #:get-descendants
    #:next-name
    #:next-name-index
    #:call-property
    #:is-attribute
    #:delete-property
    #:proxy
    #:+little-endian+
    #:+big-endian+
    #:dictionary
    #:escape-multi-byte
    #:get-qualified-class-name
    #:unescape-multi-byte
    #:get-definition-by-name
    #:describe-type
    #:get-timer
    #:get-qualified-superclass-name
    #:object-input
    #:clear-interval
    #:clear-timeout
    #:set-interval
    #:set-timeout
    #:set-interval-timer
    #:running
    #:current-count
    #:stop
    #:start
    #:reset
    #:repeat-count
    #:delay
    #:timer
    #:uncompress
    #:to-string
    #:compress
    #:length
    #:clear
    #:inflate
    #:position
    #:deflate
    #:default-object-encoding
    #:byte-array
    #:read-byte
    #:read-object
    #:read-utf-bytes
    #:read-int
    #:read-utf
    #:read-bytes
    #:read-unsigned-byte
    #:read-boolean
    #:read-unsigned-short
    #:read-float
    #:read-multi-byte
    #:read-double
    #:read-short
    #:bytes-available
    #:read-unsigned-int
    #:i-data-input
    #:write-object
    #:write-float
    #:write-unsigned-int
    #:write-double
    #:write-int
    #:write-bytes
    #:object-encoding
    #:endian
    #:write-boolean
    #:write-utf
    #:write-byte
    #:write-short
    #:write-utf-bytes
    #:write-multi-byte
    #:i-data-output))

(defpackage #:%flash.display
  (:export
    #:+positive+
    #:+negative+
    #:triangle-culling
    #:+actionscript3+
    #:+actionscript2+
    #:+show-all+
    #:+no-scale+
    #:+no-border+
    #:+exact-fit+
    #:stage-scale-mode
    #:+auto+
    #:+never+
    #:+always+
    #:+float4+
    #:+float+
    #:+float3+
    #:+float2+
    #:+matrix4x4+
    #:+matrix3x3+
    #:+matrix2x2+
    #:+bool+
    #:+int+
    #:+bool4+
    #:+bool3+
    #:+bool2+
    #:+int4+
    #:+int3+
    #:+int2+
    #:shader-parameter-type
    #:input
    #:channels
    #:shader-input
    #:+reflect+
    #:+repeat+
    #:+pad+
    #:color
    #:graphics-solid-fill
    #:display-state
    #:full-screen-height
    #:stage-width
    #:add-event-listener
    #:invalidate
    #:quality
    #:full-screen-source-rect
    #:focus
    #:full-screen-width
    #:show-default-context-menu
    #:has-event-listener
    #:stage-height
    #:is-focus-inaccessible
    #:will-trigger
    #:align
    #:stage-focus-rect
    #:+difference+
    #:+layer+
    #:+overlay+
    #:+screen+
    #:+hardlight+
    #:+darken+
    #:+shader+
    #:+multiply+
    #:+lighten+
    #:+invert+
    #:+subtract+
    #:+erase+
    #:+add+
    #:unload
    #:unload-and-stop
    #:close
    #:load-bytes
    #:load
    #:content-loader-info
    #:copy-from
    #:end-fill
    #:draw-ellipse
    #:draw-graphics-data
    #:line-shader-style
    #:line-bitmap-style
    #:draw-circle
    #:draw-round-rect
    #:draw-round-rect-complex
    #:line-style
    #:begin-gradient-fill
    #:begin-bitmap-fill
    #:line-gradient-style
    #:begin-shader-fill
    #:clear
    #:begin-fill
    #:draw-path
    #:draw-rect
    #:draw-triangles
    #:over-state
    #:down-state
    #:up-state
    #:hit-test-state
    #:simple-button
    #:+square+
    #:caps-style
    #:current-labels
    #:current-label
    #:play
    #:next-frame
    #:prev-scene
    #:track-as-menu
    #:add-frame-script
    #:goto-and-stop
    #:current-scene
    #:current-frame
    #:next-scene
    #:frames-loaded
    #:total-frames
    #:enabled
    #:goto-and-play
    #:scenes
    #:stop
    #:prev-frame
    #:current-frame-label
    #:movie-clip
    #:start-drag
    #:stop-drag
    #:use-hand-cursor
    #:button-mode
    #:hit-area
    #:sound-transform
    #:drop-target
    #:sprite
    #:set-child-index
    #:are-inaccessible-objects-under-point
    #:add-child
    #:get-child-at
    #:remove-child
    #:get-objects-under-point
    #:swap-children
    #:text-snapshot
    #:tab-children
    #:add-child-at
    #:get-child-index
    #:remove-child-at
    #:get-child-by-name
    #:swap-children-at
    #:contains
    #:num-children
    #:mouse-children
    #:display-object-container
    #:graphics-shader-fill
    #:+high+
    #:+medium+
    #:+low+
    #:+best+
    #:stage-quality
    #:morph-shape
    #:smooth
    #:repeat
    #:graphics-bitmap-fill
    #:+rgb+
    #:+linear-rgb+
    #:precision-hint
    #:byte-code
    #:+non-zero+
    #:+even-odd+
    #:graphics-path-winding
    #:+off+
    #:+on+
    #:+default+
    #:color-correction
    #:cancel
    #:progress
    #:target
    #:shader
    #:start
    #:shader-job
    #:index
    #:value
    #:shader-parameter
    #:frame
    #:frame-label
    #:+full-screen+
    #:stage-display-state
    #:+flash9+
    #:+flash10+
    #:+flash2+
    #:+flash8+
    #:+flash6+
    #:+flash4+
    #:+flash7+
    #:+flash5+
    #:+flash3+
    #:+flash1+
    #:graphics
    #:shape
    #:child-allows-parent
    #:shared-events
    #:loader-url
    #:content
    #:loader
    #:bytes-total
    #:action-script-version
    #:swf-version
    #:application-domain
    #:content-type
    #:same-domain
    #:bytes-loaded
    #:url
    #:frame-rate
    #:bytes
    #:parameters
    #:parent-allows-child
    #:dispatch-event
    #:get-loader-info-by-definition
    #:tab-index
    #:mouse-enabled
    #:tab-enabled
    #:context-menu
    #:double-click-enabled
    #:focus-rect
    #:accessibility-implementation
    #:interactive-object
    #:+alpha+
    #:+blue+
    #:+green+
    #:+red+
    #:bitmap-data-channel
    #:+no-op+
    #:+wide-move-to+
    #:+wide-line-to+
    #:+curve-to+
    #:+move-to+
    #:+line-to+
    #:graphics-path-command
    #:miter-limit
    #:pixel-hinting
    #:thickness
    #:scale-mode
    #:joints
    #:fill
    #:caps
    #:graphics-stroke
    #:i-graphics-stroke
    #:+round+
    #:+bevel+
    #:+miter+
    #:joint-style
    #:call
    #:add-callback
    #:avm1movie
    #:+radial+
    #:+linear+
    #:gradient-type
    #:uvt-data
    #:vertices
    #:indices
    #:culling
    #:graphics-triangle-path
    #:graphics-end-fill
    #:histogram
    #:get-vector
    #:merge
    #:set-pixels
    #:lock
    #:get-pixel32
    #:threshold
    #:get-pixels
    #:palette-map
    #:perlin-noise
    #:compare
    #:rect
    #:set-pixel32
    #:flood-fill
    #:dispose
    #:clone
    #:noise
    #:pixel-dissolve
    #:get-color-bounds-rect
    #:scroll
    #:unlock
    #:transparent
    #:generate-filter-rect
    #:get-pixel
    #:copy-channel
    #:set-vector
    #:draw
    #:color-transform
    #:fill-rect
    #:apply-filter
    #:hit-test
    #:set-pixel
    #:copy-pixels
    #:shader-data
    #:alphas
    #:type
    #:colors
    #:spread-method
    #:ratios
    #:focal-point-ratio
    #:interpolation-method
    #:matrix
    #:graphics-gradient-fill
    #:i-graphics-fill
    #:+none+
    #:+normal+
    #:+vertical+
    #:+horizontal+
    #:line-scale-mode
    #:+default-on+
    #:+unsupported+
    #:+default-off+
    #:color-correction-support
    #:+right+
    #:+bottom-left+
    #:+top+
    #:+top-right+
    #:+top-left+
    #:+bottom+
    #:+bottom-right+
    #:+left+
    #:stage-align
    #:smoothing
    #:pixel-snapping
    #:bitmap-data
    #:bitmap
    #:stage
    #:filters
    #:z
    #:y
    #:x
    #:hit-test-object
    #:root
    #:loader-info
    #:transform
    #:get-rect
    #:mask
    #:mouse-y
    #:mouse-x
    #:hit-test-point
    #:global-to-local3d
    #:alpha
    #:local3d-to-global
    #:cache-as-bitmap
    #:parent
    #:opaque-background
    #:blend-shader
    #:get-bounds
    #:height
    #:rotation-z
    #:scroll-rect
    #:accessibility-properties
    #:scale-z
    #:scale-y
    #:scale-x
    #:rotation-y
    #:rotation-x
    #:scale-9-grid
    #:blend-mode
    #:global-to-local
    #:width
    #:local-to-global
    #:rotation
    #:visible
    #:display-object
    #:i-bitmap-drawable
    #:wide-move-to
    #:curve-to
    #:line-to
    #:move-to
    #:data
    #:commands
    #:winding
    #:wide-line-to
    #:graphics-path
    #:i-graphics-data
    #:i-graphics-path
    #:labels
    #:name
    #:num-frames
    #:scene
    #:+full+
    #:+fast+
    #:shader-precision))

(defpackage #:%flash.ui
  (:export
    #:+standard+
    #:+num-pad+
    #:key-location
    #:clear
    #:select-all
    #:copy
    #:paste
    #:cut
    #:context-menu-clipboard-items
    #:+auto+
    #:+arrow+
    #:+i-beam+
    #:+hand+
    #:+button+
    #:mouse-cursor
    #:show
    #:cursor
    #:hide
    #:mouse
    #:quality
    #:save
    #:rewind
    #:forward-and-back
    #:play
    #:zoom
    #:print
    #:loop
    #:context-menu-built-in-items
    #:hide-built-in-items
    #:link
    #:clipboard-menu
    #:custom-items
    #:clipboard-items
    #:built-in-items
    #:context-menu
    #:+numpad-multiply+
    #:+f11+
    #:+numpad-subtract+
    #:+shift+
    #:+f15+
    #:+f14+
    #:+f13+
    #:+f12+
    #:+home+
    #:+f10+
    #:+page-up+
    #:+page-down+
    #:+backspace+
    #:+numpad-decimal+
    #:+numpad-enter+
    #:num-lock
    #:+numpad-0+
    #:+numpad-6+
    #:+caps-lock+
    #:+numpad-3+
    #:+numpad-9+
    #:+numpad-8+
    #:+numpad-5+
    #:+numpad-4+
    #:+f8+
    #:+numpad-2+
    #:+numpad-1+
    #:+control+
    #:+end+
    #:+numpad-divide+
    #:+insert+
    #:+enter+
    #:+f9+
    #:+delete+
    #:+f7+
    #:+f6+
    #:+f5+
    #:+f4+
    #:+f3+
    #:+f2+
    #:+f1+
    #:+up+
    #:+down+
    #:+space+
    #:is-accessible
    #:caps-lock
    #:+numpad-add+
    #:+tab+
    #:+numpad-7+
    #:+left+
    #:+right+
    #:+escape+
    #:keyboard
    #:clone
    #:visible
    #:caption
    #:separator-before
    #:enabled
    #:context-menu-item))

(defpackage #:%flash.text.engine
  (:export
    #:+tabular+
    #:+proportional+
    #:flush-atom-data
    #:atom-count
    #:get-atom-center
    #:raw-text-length
    #:tab-index
    #:get-atom-text-rotation
    #:focus-rect
    #:specified-width
    #:text-height
    #:get-atom-text-block-end-index
    #:has-graphic-element
    #:tab-children
    #:validity
    #:get-atom-bounds
    #:get-atom-text-block-begin-index
    #:get-atom-word-boundary-on-left
    #:get-atom-index-at-char-index
    #:context-menu
    #:ascent
    #:text-width
    #:tab-enabled
    #:unjustified-text-width
    #:get-atom-index-at-point
    #:get-atom-bidi-level
    #:previous-line
    #:get-mirror-region
    #:next-line
    #:get-baseline-position
    #:get-atom-graphic
    #:descent
    #:mirror-regions
    #:+max-line-width+
    #:+roman+
    #:+ascent+
    #:+ideographic-top+
    #:+ideographic-center+
    #:+use-dominant-baseline+
    #:+ideographic-bottom+
    #:+descent+
    #:text-baseline
    #:+possibly-invalid+
    #:+valid+
    #:+invalid+
    #:+static+
    #:text-line-validity
    #:+all-including-last+
    #:+unjustified+
    #:+all-but-last+
    #:mirror
    #:element
    #:previous-region
    #:next-region
    #:bounds
    #:text-line
    #:text-line-mirror-region
    #:+old-style+
    #:+lining+
    #:+device+
    #:+embedded-cff+
    #:ungroup-elements
    #:merge-text-elements
    #:replace-elements
    #:set-elements
    #:group-elements
    #:split-text-element
    #:get-element-index
    #:element-count
    #:get-element-at-char-index
    #:get-element-at
    #:+italic+
    #:release-lines
    #:first-invalid-line
    #:dump
    #:last-line
    #:tab-stops
    #:create-text-line
    #:baseline-font-size
    #:bidi-level
    #:apply-non-linear-font-scaling
    #:find-previous-word-boundary
    #:line-rotation
    #:baseline-font-description
    #:find-next-word-boundary
    #:find-next-atom-boundary
    #:baseline-zero
    #:find-previous-atom-boundary
    #:content
    #:first-line
    #:get-text-line-at-char-index
    #:+insufficient-width+
    #:+complete+
    #:+success+
    #:+emergency+
    #:text-line-creation-result
    #:+cff+
    #:+minimum+
    #:+common+
    #:+exotic+
    #:+uncommon+
    #:+horizontal-stem+
    #:get-font-metrics
    #:digit-case
    #:font-size
    #:ligature-level
    #:alpha
    #:digit-width
    #:tracking-right
    #:alignment-baseline
    #:color
    #:dominant-baseline
    #:tracking-left
    #:baseline-shift
    #:+push-out-only+
    #:+prioritize-least-adjustment+
    #:+push-in-kinsoku+
    #:replace-text
    #:text-element
    #:+off+
    #:+on+
    #:kerning
    #:+rotate-0+
    #:+rotate-90+
    #:+rotate-270+
    #:+rotate-180+
    #:+none+
    #:+any+
    #:+auto+
    #:+all+
    #:break-opportunity
    #:element-width
    #:element-height
    #:graphic
    #:graphic-element
    #:+normal+
    #:+bold+
    #:underline-offset
    #:subscript-offset
    #:superscript-offset
    #:subscript-scale
    #:underline-thickness
    #:strikethrough-offset
    #:superscript-scale
    #:em-box
    #:strikethrough-thickness
    #:font-metrics
    #:font-name
    #:font-posture
    #:cff-hinting
    #:rendering-mode
    #:locked
    #:font-weight
    #:font-lookup
    #:is-font-compatible
    #:font-description
    #:decimal-alignment-token
    #:alignment
    #:position
    #:tab-stop
    #:+end+
    #:+center+
    #:+start+
    #:+decimal+
    #:tab-alignment
    #:+caps-and-small-caps+
    #:+small-caps+
    #:+title+
    #:+uppercase+
    #:+default+
    #:+caps+
    #:+lowercase+
    #:typographic-case
    #:justification-style
    #:east-asian-justifier
    #:letter-spacing
    #:space-justifier
    #:clone
    #:locale
    #:line-justification
    #:get-justifier-for-locale
    #:text-justifier
    #:group-element
    #:raw-text
    #:user-data
    #:event-mirror
    #:text
    #:text-rotation
    #:text-block-begin-index
    #:element-format
    #:text-block
    #:+graphic-element+
    #:content-element))

(defpackage #:%flash.printing
  (:export
    #:+portrait+
    #:+landscape+
    #:print-job-orientation
    #:print-as-bitmap
    #:print-job-options
    #:send
    #:add-page
    #:paper-width
    #:start
    #:page-width
    #:page-height
    #:paper-height
    #:orientation
    #:print-job))

(defpackage #:%flash.geom
  (:export
    #:focal-length
    #:field-of-view
    #:to-matrix3d
    #:projection-center
    #:pixel-bounds
    #:concatenated-color-transform
    #:get-relative-matrix3d
    #:concatenated-matrix
    #:perspective-projection
    #:transform
    #:polar
    #:point
    #:alpha-multiplier
    #:green-offset
    #:blue-multiplier
    #:red-multiplier
    #:alpha-offset
    #:blue-offset
    #:green-multiplier
    #:red-offset
    #:color
    #:color-transform
    #:+quaternion+
    #:+euler-angles+
    #:+axis-angle+
    #:orientation3d
    #:offset-point
    #:top-left
    #:intersects
    #:contains
    #:height
    #:contains-rect
    #:bottom-right
    #:inflate
    #:intersection
    #:bottom
    #:top
    #:offset
    #:right
    #:union
    #:set-empty
    #:inflate-point
    #:left
    #:width
    #:is-empty
    #:size
    #:contains-point
    #:rectangle
    #:equals
    #:normalize
    #:subtract
    #:z
    #:y
    #:x
    #:w
    #:increment-by
    #:cross-product
    #:length
    #:decrement-by
    #:scale-by
    #:near-equals
    #:dot-product
    #:add
    #:negate
    #:length-squared
    #:project
    #:+x-axis+
    #:+y-axis+
    #:+z-axis+
    #:angle-between
    #:distance
    #:vector3d
    #:recompose
    #:prepend-scale
    #:append
    #:append-rotation
    #:append-translation
    #:determinant
    #:interpolate-to
    #:decompose
    #:append-scale
    #:transform-vector
    #:prepend
    #:prepend-rotation
    #:transform-vectors
    #:point-at
    #:position
    #:delta-transform-vector
    #:raw-data
    #:prepend-translation
    #:transpose
    #:interpolate
    #:matrix3d
    #:project-vectors
    #:project-vector
    #:point-towards
    #:utils3d
    #:create-gradient-box
    #:identity
    #:clone
    #:delta-transform-point
    #:rotate
    #:transform-point
    #:invert
    #:concat
    #:tx
    #:scale
    #:translate
    #:to-string
    #:d
    #:b
    #:create-box
    #:ty
    #:c
    #:a
    #:matrix))

(defpackage #:%flash.xml
  (:export
    #:start-parse
    #:get-next
    #:xml-parser
    #:attrs
    #:empty
    #:type
    #:value
    #:xml-tag
    #:+processing-instruction-node+
    #:+text-node+
    #:+cdata-node+
    #:+xml-declaration+
    #:+comment-node+
    #:+element-node+
    #:+document-type-node+
    #:xml-node-type
    #:doc-type-decl
    #:ignore-white
    #:create-text-node
    #:xml-decl
    #:parse-xml
    #:id-map
    #:create-element
    #:xml-document
    #:clone-node
    #:remove-node
    #:to-string
    #:get-prefix-for-namespace
    #:local-name
    #:child-nodes
    #:has-child-nodes
    #:node-name
    #:get-namespace-for-prefix
    #:insert-before
    #:last-child
    #:append-child
    #:node-type
    #:attributes
    #:node-value
    #:first-child
    #:prefix
    #:namespace-uri
    #:next-sibling
    #:parent-node
    #:previous-sibling
    #:xml-node))

(defpackage #:%flash.text
  (:export
    #:text-field-auto-size
    #:x
    #:text-line-metrics
    #:has-glyphs
    #:font-name
    #:register-font
    #:enumerate-fonts
    #:get-style
    #:style-names
    #:parse-css
    #:set-style
    #:clear
    #:transform
    #:letter-spacing
    #:url
    #:underline
    #:target
    #:italic
    #:tab-stops
    #:kerning
    #:block-indent
    #:indent
    #:left-margin
    #:right-margin
    #:font
    #:leading
    #:bold
    #:display
    #:color
    #:align
    #:bullet
    #:size
    #:+embedded-cff+
    #:+embedded+
    #:+device+
    #:font-type
    #:inside-cutoff
    #:outside-cutoff
    #:font-size
    #:csm-settings
    #:+lcd+
    #:+crt+
    #:+default+
    #:text-display-mode
    #:+pixel+
    #:+none+
    #:+subpixel+
    #:bottom-scroll-v
    #:get-line-index-of-char
    #:get-text-format
    #:get-line-metrics
    #:get-line-index-at-point
    #:thickness
    #:insert-xml-text
    #:html-text
    #:selected-text
    #:append-text
    #:length
    #:selection-begin-index
    #:selection-end-index
    #:get-char-index-at-point
    #:get-xml-text
    #:set-selection
    #:text-color
    #:get-paragraph-length
    #:replace-selected-text
    #:type
    #:use-rich-text-clipboard
    #:style-sheet
    #:get-char-boundaries
    #:get-raw-text
    #:restrict
    #:text-height
    #:mouse-wheel-enabled
    #:get-first-char-in-paragraph
    #:get-line-text
    #:display-as-password
    #:max-scroll-v
    #:selectable
    #:max-chars
    #:background
    #:multiline
    #:border
    #:embed-fonts
    #:background-color
    #:scroll-v
    #:text-width
    #:get-image-reference
    #:default-text-format
    #:auto-size
    #:max-scroll-h
    #:get-line-offset
    #:scroll-h
    #:num-lines
    #:condense-white
    #:border-color
    #:caret-index
    #:get-text-runs
    #:grid-fit-type
    #:get-line-length
    #:set-text-format
    #:word-wrap
    #:sharpness
    #:replace-text
    #:always-show-selection
    #:is-font-compatible
    #:text-field
    #:+normal+
    #:+advanced+
    #:text
    #:static-text
    #:text-field-height
    #:descent
    #:text-field-width
    #:height
    #:width
    #:ascent
    #:text-extent
    #:get-selected-text
    #:get-text-run-info
    #:hit-test-text-near-pos
    #:char-count
    #:find-text
    #:set-select-color
    #:set-selected
    #:get-text
    #:get-selected
    #:text-snapshot
    #:+block+
    #:+inline+
    #:text-format-display
    #:begin-index
    #:end-index
    #:text-format
    #:text-run
    #:+light-color+
    #:+dark-color+
    #:text-color-type
    #:+right+
    #:+left+
    #:+center+
    #:+justify+
    #:text-format-align
    #:+dynamic+
    #:+input+
    #:text-field-type
    #:+regular+
    #:+bold+
    #:+bold-italic+
    #:+italic+
    #:font-style
    #:anti-alias-type
    #:set-advanced-anti-aliasing-table
    #:display-mode
    #:max-level
    #:text-renderer))

(defpackage #:%flash.profiler
  (:export
    #:profile
    #:show-redraw-regions))

(defpackage #:%flash.errors
  (:export
    #:eof-error
    #:invalid-swf-error
    #:script-timeout-error
    #:stack-overflow-error
    #:memory-error
    #:io-error
    #:illegal-operation-error))

(defpackage #:%flash.net
  (:export
    #:transition
    #:stream-name
    #:start
    #:len
    #:old-stream-name
    #:net-stream-play-options
    #:+pending+
    #:+flushed+
    #:shared-object-flush-status
    #:save
    #:cancel
    #:modification-date
    #:download
    #:creation-date
    #:creator
    #:type
    #:upload
    #:file-reference
    #:file-list
    #:browse
    #:file-reference-list
    #:+reset+
    #:+append+
    #:+stop+
    #:+switch+
    #:+swap+
    #:net-stream-play-transitions
    #:decode
    #:url-variables
    #:name
    #:value
    #:url-request-header
    #:extension
    #:description
    #:mac-type
    #:file-filter
    #:connected-proxy-type
    #:call
    #:using-tls
    #:add-header
    #:uri
    #:proxy-type
    #:protocol
    #:max-peer-connections
    #:near-id
    #:unconnected-peer-streams
    #:net-connection
    #:data-format
    #:url-loader
    #:xml-socket
    #:+amf3+
    #:dynamic-property-writer
    #:+amf0+
    #:+default+
    #:+text+
    #:+variables+
    #:+binary+
    #:url-loader-data-format
    #:load
    #:url-stream
    #:dynamic-property-output
    #:write-dynamic-properties
    #:i-dynamic-property-writer
    #:read-int
    #:read-bytes
    #:read-multi-byte
    #:read-float
    #:write-short
    #:write-unsigned-int
    #:read-unsigned-byte
    #:write-multi-byte
    #:write-bytes
    #:read-unsigned-int
    #:write-boolean
    #:write-utf
    #:read-byte
    #:timeout
    #:write-float
    #:read-utf-bytes
    #:read-boolean
    #:read-utf
    #:read-object
    #:write-double
    #:bytes-available
    #:endian
    #:write-int
    #:read-double
    #:read-unsigned-short
    #:read-short
    #:connected
    #:write-byte
    #:write-object
    #:write-utf-bytes
    #:socket
    #:set-property
    #:fps
    #:set-dirty
    #:clear
    #:flush
    #:size
    #:get-remote
    #:delete-all
    #:get-local
    #:get-disk-usage
    #:default-object-encoding
    #:shared-object
    #:write-dynamic-property
    #:i-dynamic-property-output
    #:to-string
    #:byte-count
    #:audio-buffer-byte-length
    #:video-buffer-length
    #:audio-buffer-length
    #:data-byte-count
    #:max-bytes-per-second
    #:playback-bytes-per-second
    #:data-buffer-byte-length
    #:audio-bytes-per-second
    #:audio-byte-count
    #:srtt
    #:video-byte-count
    #:video-bytes-per-second
    #:current-bytes-per-second
    #:audio-loss-rate
    #:data-buffer-length
    #:data-bytes-per-second
    #:dropped-frames
    #:video-buffer-byte-length
    #:net-stream-info
    #:responder
    #:url
    #:request-headers
    #:data
    #:content-type
    #:digest
    #:method
    #:url-request
    #:allow-domain
    #:connect
    #:allow-insecure-domain
    #:domain
    #:local-connection
    #:+get+
    #:+post+
    #:url-request-method
    #:close
    #:play2
    #:decoded-frames
    #:play
    #:far-id
    #:live-delay
    #:pause
    #:resume
    #:receive-audio
    #:object-encoding
    #:receive-video-fps
    #:current-fps
    #:info
    #:check-policy-file
    #:near-nonce
    #:on-peer-connect
    #:audio-codec
    #:far-nonce
    #:video-codec
    #:buffer-time
    #:bytes-total
    #:receive-video
    #:buffer-length
    #:time
    #:attach-audio
    #:bytes-loaded
    #:publish
    #:client
    #:attach-camera
    #:peer-streams
    #:send
    #:seek
    #:max-pause-buffer-time
    #:toggle-pause
    #:sound-transform
    #:+direct-connections+
    #:+connect-to-fms+
    #:net-stream
    #:send-to-url
    #:register-class-alias
    #:get-class-by-alias
    #:navigate-to-url))

(defpackage #:%flash.filters
  (:export
    #:divisor
    #:clamp
    #:matrix-y
    #:matrix-x
    #:bias
    #:preserve-alpha
    #:convolution-filter
    #:+high+
    #:+medium+
    #:+low+
    #:bitmap-filter-quality
    #:glow-filter
    #:blur-filter
    #:component-x
    #:scale-y
    #:scale-x
    #:map-bitmap
    #:map-point
    #:mode
    #:component-y
    #:displacement-map-filter
    #:+full+
    #:+inner+
    #:+outer+
    #:bitmap-filter-type
    #:matrix
    #:color-matrix-filter
    #:top-extension
    #:left-extension
    #:bottom-extension
    #:shader
    #:right-extension
    #:shader-filter
    #:shadow-alpha
    #:highlight-color
    #:highlight-alpha
    #:shadow-color
    #:bevel-filter
    #:gradient-bevel-filter
    #:alphas
    #:ratios
    #:type
    #:colors
    #:gradient-glow-filter
    #:+clamp+
    #:+wrap+
    #:+ignore+
    #:+color+
    #:displacement-map-filter-mode
    #:alpha
    #:knockout
    #:inner
    #:distance
    #:strength
    #:angle
    #:quality
    #:blur-y
    #:color
    #:blur-x
    #:hide-object
    #:drop-shadow-filter
    #:clone
    #:bitmap-filter))

(defpackage #:%flash.media
  (:export
    #:+nellymoser+
    #:+speex+
    #:sound-codec
    #:is-buffering
    #:bytes-total
    #:id3
    #:length
    #:play
    #:bytes-loaded
    #:url
    #:close
    #:load
    #:extract
    #:sound
    #:check-policy-file
    #:sound-loader-context
    #:right-peak
    #:position
    #:left-peak
    #:stop
    #:sound-channel
    #:frames-per-packet
    #:set-loop-back
    #:encode-quality
    #:silence-timeout
    #:use-echo-suppression
    #:codec
    #:set-use-echo-suppression
    #:gain
    #:set-silence-level
    #:silence-level
    #:rate
    #:get-microphone
    #:microphone
    #:right-to-left
    #:left-to-right
    #:left-to-left
    #:volume
    #:right-to-right
    #:pan
    #:comment
    #:year
    #:album
    #:track
    #:artist
    #:genre
    #:song-name
    #:id3info
    #:attach-net-stream
    #:clear
    #:video-width
    #:attach-camera
    #:deblocking
    #:smoothing
    #:video-height
    #:video
    #:quality
    #:set-quality
    #:set-key-frame-interval
    #:motion-timeout
    #:set-cursor
    #:activity-level
    #:set-loopback
    #:key-frame-interval
    #:index
    #:bandwidth
    #:current-fps
    #:motion-level
    #:muted
    #:set-motion-level
    #:name
    #:fps
    #:height
    #:width
    #:set-mode
    #:loopback
    #:get-camera
    #:names
    #:camera
    #:stop-all
    #:compute-spectrum
    #:buffer-time
    #:are-sounds-inaccessible
    #:sound-transform
    #:sound-mixer))

(defpackage #:%flash.accessibility
  (:export
    #:active
    #:update-properties
    #:send-event
    #:accessibility
    #:no-auto-labeling
    #:force-simple
    #:description
    #:silent
    #:name
    #:shortcut
    #:accessibility-properties
    #:get-acc-default-action
    #:acc-select
    #:get-acc-state
    #:get-child-id-array
    #:acc-location
    #:get-acc-role
    #:get-acc-selection
    #:stub
    #:acc-do-default-action
    #:get-acc-value
    #:get-acc-focus
    #:errno
    #:get-acc-name
    #:is-labeled-by
    #:accessibility-implementation))

(defpackage #:%flash.desktop
  (:export
    #:set-data-handler
    #:has-format
    #:set-data
    #:get-data
    #:formats
    #:clear-data
    #:clear
    #:general-clipboard
    #:clipboard
    #:+clone-preferred+
    #:+original-only+
    #:+clone-only+
    #:+original-preferred+
    #:clipboard-transfer-mode
    #:+url-format+
    #:+file-list-format+
    #:+bitmap-format+
    #:+rich-text-format+
    #:+html-format+
    #:+text-format+
    #:clipboard-formats))

(defpackage #:%adobe.utils
  (:export
    #:mmexecute
    #:mmend-command
    #:set-property
    #:get-property
    #:cancel
    #:accept
    #:xml-ui
    #:get-actions
    #:actions-list
    #:uninstall-actions
    #:install-actions
    #:custom-actions
    #:running
    #:installed-version
    #:installed
    #:download
    #:launch
    #:product-manager))

(defpackage #:%flash.external
  (:export
    #:marshall-exceptions
    #:call
    #:object-id
    #:available
    #:add-callback
    #:external-interface))

(defpackage #:%flash.trace
  (:export
    #:+file+
    #:+listener+
    #:set-listener
    #:+methods+
    #:set-level
    #:+methods-with-args+
    #:+off+
    #:get-level
    #:get-listener
    #:+methods-and-lines+
    #:+methods-and-lines-with-args+
    #:trace))

(defpackage #:%flash.debugger
  (:export
    #:enter-debugger))

(defpackage #:%authoring
  (:export
    #:obj-matrix
    #:is-primitive
    #:symbol-mode
    #:frame-for-frame-number
    #:has-empty-path
    #:registration-point
    #:live-preview-size
    #:scale9grid
    #:symbol-behavior
    #:next-sibling
    #:three-dmatrix
    #:first-child
    #:locked
    #:frame-type
    #:outline-mode
    #:blending-mode
    #:filters
    #:outline-color
    #:is-floater
    #:swf-key
    #:center-point
    #:type
    #:color-xform
    #:three-d-translation-handle-points
    #:bounds
    #:motion-path
    #:has-shape-selection
    #:start-position
    #:is-visible
    #:key
    #:is-selected
    #:end-position
    #:cache-as-bitmap
    #:frame-offset
    #:off-screen-surface-rendering-enabled
    #:auth-object))

